rmObjects {EBImage} | R Documentation

## Object removal

### Description

The `rmObjects` functions deletes objects indexed by a list of integer vectors (indexes) from an image with indexed objects. `reenumerate` re-enumerates all objects in an IndexedImage from 0 - background to the actual number of objects.

### Usage

      ## S4 methods for signatures 'x=IndexedImage,index=numeric'
      ## and 'x=IndexedImage,index=list'
      rmObjects(x, index, ...)

      ## S4 method for signature 'IndexedImage':
      reenumerate(x, ...)

### Arguments

`x` | An object of `IndexedImage`.
`index` | A numeric (integer) vector of indexes of objects to remove in the frame if `x` contains one frame only. For multiple frames, a list of such vectors.
`...` | Reserved.

### Value

An image of `IndexedImage`.

### Author(s)

Oleg Sklyar, osklyar@ebi.ac.uk, 2006-2007

### See Also

`IndexedImage, watershed, getFeatures, paintObjects`

### Examples

      ## see example(drawtext)

[Package EBImage version 2.6.0 Index]